osl::mobility::KingMobility Class Reference

`#include <kingMobility.h>`

## Classes

union | b128

## Public Member Functions

| KingMobility ()
const CArray< unsigned char, 8 > & | operator[] (Player p) const
CArray< unsigned char, 8 > & | operator[] (Player p)
KingMobility & | operator= (KingMobility const &km)
bool | operator== (KingMobility const &km) const

## Private Attributes

union osl::mobility::KingMobility::b128 | v

## Detailed Description

Definition at line 24 of file kingMobility.h.

## Constructor & Destructor Documentation

## KingMobility()

osl::mobility::KingMobility::KingMobility | ( |  | ) |

inline

Definition at line 37 of file kingMobility.h.

Referenced by operator=(), and operator==().

## Member Function Documentation

## operator=()

KingMobility & osl::mobility::KingMobility::operator= | ( | KingMobility const & | km | ) |

inline

Definition at line 46 of file kingMobility.h.

References KingMobility(), osl::KingMobility::b128::uc16, v, and osl::KingMobility::b128::v2.

## operator==()

bool osl::mobility::KingMobility::operator== | ( | KingMobility const & | km | ) | const

inline

Definition at line 54 of file kingMobility.h.

References KingMobility(), osl::KingMobility::b128::ul, v, and osl::KingMobility::b128::v2.

## operator[]() [1/2]

CArray< unsigned char, 8 > & osl::mobility::KingMobility::operator[] | ( | Player | p | ) |

inline

Definition at line 43 of file kingMobility.h.

References v.

## operator[]() [2/2]

const CArray< unsigned char, 8 > & osl::mobility::KingMobility::operator[] | ( | Player | p | ) | const

inline

Definition at line 40 of file kingMobility.h.

References v.

## Member Data Documentation

## v

union osl::mobility::KingMobility::b128 osl::mobility::KingMobility::v

private

Referenced by operator=(), operator==(), operator[](), and operator[]().

The documentation for this class was generated from the following file:

- kingMobility.h